Skip to content
This repository
tag: v1.3.1
Fetching contributors…

Octocat-spinner-32-eaf2f5

Cannot retrieve contributors at this time

file 145 lines (144 sloc) 3.076 kb
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 139 140 141 142 143 144
{
  "version": "1.3.1",
  "name": "npm",
  "publishConfig": {
    "proprietary-attribs": false
  },
  "description": "A package manager for node",
  "keywords": [
    "package manager",
    "modules",
    "install",
    "package.json"
  ],
  "preferGlobal": true,
  "config": {
    "publishtest": false
  },
  "homepage": "https://npmjs.org/doc/",
  "author": "Isaac Z. Schlueter <i@izs.me> (http://blog.izs.me)",
  "repository": {
    "type": "git",
    "url": "https://github.com/isaacs/npm"
  },
  "bugs": {
    "email": "npm-@googlegroups.com",
    "url": "http://github.com/isaacs/npm/issues"
  },
  "directories": {
    "doc": "./doc",
    "man": "./man",
    "lib": "./lib",
    "bin": "./bin"
  },
  "main": "./lib/npm.js",
  "bin": "./bin/npm-cli.js",
  "dependencies": {
    "semver": "~2.0.8",
    "ini": "~1.1.0",
    "slide": "~1.1.4",
    "abbrev": "~1.0.4",
    "graceful-fs": "~1.2.2",
    "minimatch": "~0.2.12",
    "nopt": "~2.1.1",
    "rimraf": "~2.2.0",
    "request": "~2.21.0",
    "which": "1",
    "tar": "~0.1.17",
    "fstream": "~0.1.22",
    "block-stream": "*",
    "inherits": "1",
    "mkdirp": "~0.3.3",
    "read": "~1.0.4",
    "lru-cache": "~2.3.0",
    "node-gyp": "~0.10.2",
    "fstream-npm": "~0.1.3",
    "uid-number": "0",
    "archy": "0",
    "chownr": "0",
    "npmlog": "0.0.3",
    "ansi": "~0.1.2",
    "npm-registry-client": "~0.2.25",
    "read-package-json": "~1.1.0",
    "read-installed": "~0.2.2",
    "glob": "~3.2.1",
    "init-package-json": "0.0.10",
    "osenv": "0",
    "lockfile": "~0.3.2",
    "retry": "~0.6.0",
    "once": "~1.1.1",
    "npmconf": "~0.1.1",
    "opener": "~1.3.0",
    "chmodr": "~0.1.0",
    "cmd-shim": "~1.1.0",
    "sha": "~1.0.1",
    "editor": "0.0.4",
    "child-process-close": "~0.1.1",
    "npm-user-validate": "0.0.3"
  },
  "bundleDependencies": [
    "semver",
    "ini",
    "slide",
    "abbrev",
    "graceful-fs",
    "minimatch",
    "nopt",
    "rimraf",
    "request",
    "which",
    "tar",
    "fstream",
    "block-stream",
    "inherits",
    "mkdirp",
    "read",
    "lru-cache",
    "node-gyp",
    "fstream-npm",
    "uid-number",
    "archy",
    "chownr",
    "npmlog",
    "ansi",
    "npm-registry-client",
    "read-package-json",
    "read-installed",
    "glob",
    "init-package-json",
    "osenv",
    "lockfile",
    "retry",
    "once",
    "npmconf",
    "opener",
    "chmodr",
    "cmd-shim",
    "sha",
    "child-process-close",
    "editor",
    "npm-user-validate",
    "normalize-package-data"
  ],
  "devDependencies": {
    "ronn": "~0.3.6",
    "tap": "~0.4.0"
  },
  "engines": {
    "node": ">=0.6",
    "npm": "1"
  },
  "scripts": {
    "test": "node ./test/run.js && tap test/tap/*.js",
    "tap": "tap test/tap/*.js",
    "prepublish": "node bin/npm-cli.js prune ; rm -rf test/*/*/node_modules ; make -j4 doc",
    "dumpconf": "env | grep npm | sort | uniq",
    "echo": "node bin/npm-cli.js"
  },
  "licenses": [
    {
      "type": "MIT +no-false-attribs",
      "url": "https://github.com/isaacs/npm/raw/master/LICENSE"
    }
  ]
}
Something went wrong with that request. Please try again.